This is an automated email from the git hooks/post-receive script.

gregoa pushed a change to annotated tag debian/5.90097-1
in repository libcatalyst-perl.

        at  8905979   (tag)
   tagging  53eafde0239166631fba9435df7b958aed4d7c67 (commit)
  replaces  upstream/5.90097
 tagged by  gregor herrmann
        on  Wed Aug 12 12:20:53 2015 +0200

- Log -----------------------------------------------------------------
tagging package libcatalyst-perl version debian/5.90097-1
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJ8BAABCgBmBQJVyx4FXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXREMUUxMzE2RTkzQTc2MEE4MTA0RDg1RkFC
QjNBNjgwMTg2NDlBQTA2AAoJELs6aAGGSaoG2wMP/1TPZR+6ZwVxlNW7+9X+KjLC
ZcgDaH6KwOCW3IC/zb26CedUWDM8TotnqRczuQBqScFxizfrybnQDLjbPykae2qb
bUSYlv3CDpNkgsjCH63rE55IwF44xz6ASEo1Tkj301qL8E+nma19tVOqZaMzZ924
YkmYK7xK0wnuHxx9UCAreUCGcWvAc/Jq2bnG8j1CWJabE2lOnv2SzY7dsxDirjOn
FCV+R64htlkjxRLrToJJCOGDzDzPNcpnvegq1GzE2c8VWqHKTp5yluoMsfgnT0tc
US0ri5XKSNgL7ggCfKjrlQkq5A79gc7gnBLZwFRCiawgywfXlysc5ncfXID0crAO
AnthwiYycz6GHdXqHmEQSu6fHO8iTBpkKqHzSjSvSgWeqZptK+pUDNj+kWDu7VDs
FWBRiZ9pzzulA9ans8VU0aUdqJO/QWWx/aNJZpi567/J3HJLRb6JNwDrZShJHLH5
Goe7HGGyxoVepH2Mr74dc3cK7PAYDwiv4oUQknz0ZojFMlLVigoos0+hYng6MPuH
JDKa3yK0hep8csO6aQaKDdhuaz5Yq2r/GeZQql5kIhbTZQUMIqrM1kuw1Vzv8Auv
Hhe9V/0Tq1JBKYIK0zZ0q9zVbYWdwiXOJX6ohmzf75R45IYEfbFM+tDPEAtLy6LV
AE6qhBbxnSBfgBdAeXRH
=gyz5
-----END PGP SIGNATURE-----

Ansgar Burchardt (23):
      debian/control: Add missing comma in Depends field.
      Remove debian/README.source.
      patch forwarded to CPAN's RT
      Depend on perl (>= 5.10.1) instead of 5.10 for Module::Pluggable 3.9.
      fix dependency for binary package as well
      * New upstream release.
      * New upstream release.
      Update my email address.
      * New upstream release.
      debian/control: Convert Vcs-* fields to Git.
      Merge commit 'upstream/5.80033'
      debian/copyright: Update years of copyright.
      New upstream release.
      Bump Standards-Version to 3.9.2 (no changes).
      Merge commit 'upstream/5.90004'
      changelog for 5.90004-1
      Merge commit 'upstream/5.90005'
      Add (build-)dep on libclass-load-perl (>= 0.08).
      Use XZ compression for source and binary packages.
      changelog for 5.90005-1
      Merge commit 'upstream/5.90006'
      Bump (build-)dep on libclass-load-perl to >= 0.12.
      changelog for 5.90006-1

Axel Beckert (1):
      debian/copyright: Update Chisel Wright's e-mail address

Damyan Ivanov (6):
      Merge tag 'upstream/5.90071'
      add a patch fixing NAME section of C:Middleware::Stash POD
      releasing package libcatalyst-perl version 5.90071-1
      mark patch as forwarded
      Remove obsolete build-dependency on libcatalyst-engine-psgi-perl
      releasing package libcatalyst-perl version 5.90075-2

Florian Schlichting (52):
      Merge tag 'upstream/5.90009'
      Imported Upstream version 5.90009
      Added dependency on libb-hooks-endofscope-perl as well as on modules 
required for tests
      Merge tag 'upstream/5.90010'
      Imported Upstream version 5.90010
      Added copyright stanza for inc/Module/Metadata.pm
      only run some of the optional tests
      Added dependency on liblist-moreutils-perl (used by lib/Catalyst/Utils.pm 
but not in META.yml)
      Bumped Standards-Version to 3.9.3 (use copyright-format 1.0)
      Added myself to Uploaders and copyright
      Merge tag 'upstream/5.90011'
      Imported Upstream version 5.90011
      Bumped years of upstream copyright
      Deleted copyright stanza for removed inc/Module/Metadata.pm
      Merge tag 'upstream/5.90012'
      Imported Upstream version 5.90012
      Bumped dependency on namespace::clean to 0.23, removed dependency on 
B::Hooks::EndOfScope
      prepare changelog for release
      Merge tag 'upstream/5.90030'
      Imported Upstream version 5.90030
      Email change: Florian Schlichting -> f...@debian.org
      Bumped Standards-Version to 3.9.4 (no change)
      Refresh d/copyright: new upstream contributor, years
      add/remove build dependencies
      add NEWS entry on breaking changes
      update changelog, add WAITS-FOR
      Merge tag 'upstream/5.90042'
      Imported Upstream version 5.90042
      update list of upstream copyright holders
      update (build-)dependencies
      Added fix-whatis-entry.patch
      prepare changelog for release
      conflict/provide/replace libcatalyst-plugin-unicode-encoding-perl, whose 
module and manpage we're taking over (closes: #719430)
      Merge tag 'upstream/5.90051'
      Import Upstream version 5.90051
      Drop fix-whatis-entry.patch, applied upstream
      Update (build-)dependencies
      Declare compliance with Debian Policy 3.9.5
      update changelog, add TODO about new dependencies
      Merge tag 'upstream/5.90053'
      Import Upstream version 5.90053
      use CGI::Struct::XS instead of CGI::Struct
      swap the order of the Encode dependency alternatives
      Drop versions on dependencies satisfied in oldstable
      update changelog for release
      Merge tag 'upstream/5.90062'
      Import Upstream version 5.90062
      Update list of upstream contributors, bump copyright years
      Add (build-)dependencies on newly required plack middlewares
      update changelog, add WAITS-FOR middlewares
      fix typo
      remove WAITS-FOR, release

Franck Joncourt (10):
      * Removed duplicate entry for eloy in d.changelog.
      * Back to UNRELEASED (new release available)
      * Refreshd copyright years for eloy.
      Integrating new upstream release into trunk
      * Added /me as uploader. Refreshed d.control and d.copyright accordingly.
      * Switch to dpkg-source 3.0 (quilt) format:
      * Do not use --with-quilt option for debhelper anymore.
      * Drop versionned BDI on libtext-simpletable-perl (>=0.03) since this one
      * Reordered d.changelog for a better understanding.
      * Ready for upload.

Gregor Herrmann (19):
      debian/rules: rename Manual.pm and Catalyst::Manual.3pm to
      Active pod{,-coverage} tests by setting TEST_POD in debian/rules.
      * debian/control: add /me to Uploaders and slightly re-phrase last 
sentence.
      Add a lintian override for the warning about the extension of catalyst.pl.
      debian/watch: extended regexp for matching upstream releases.
      releasing version 5.71000-2
      New upstream release.
      debian/copyright: update years of copyright for files in inc/; some
      Set Standards-Version to 3.8.1 (no changes).
      Add libmoose-perl to Build-Depends-Indep (enables an additional test).
      releasing version 5.71001-1
      Minimize debian/rules, bump dh dependency to 7.2.13 for the --skipdeps
      Fix permissions of /usr/share/perl5/Catalyst/Delta.pod.
      releasing version 5.80004-2
      merge changelog entries
      Add some more test module to Suggests.
      * debian/rules: remove unused environment variable.
      back to UNRELEASED, TODO added to changelog
      Add perl (>= 5.10.1) as an alternative for libparent-perl.

Jonathan Yu (36):
      * New upstream release
      * Use $(TMP) etc for readability in rules
      Add new dependencies on: libmodule-pluggable-perl (>= 3.9)
      Cleanups to copyright file
      Builds lintian clean except for overridden stuff. All tests are passing 
now, except live tests. CatalystX::LeakChecker is an optional test module that 
is not packaged for Debian yet, and probably not necessary.
      New upstream release
      Updated dependencies to match new version
      WAITS FOR libmoose-perl 0.90
      Builds lintian clean, all tests pass. Not sure if I should package 
CatalystX::LeakChecker 0.03; it doesn't seem high-priority but might be nice
      WAITS-FOR libmoosex-role-withoverloading-perl
      integrate new upstream release (this version moves pod&pod coverage 
tests, they may no longer be necessary)
      new upstream release
      drop colon from WAITS-FOR
      * New upstream release
      * Add a patch to fix POD spelling
      Add dependency on namespace::clean 0.12 (version 0.13
      * Add dependency on namespace::clean 0.12 (version 0.13 may never
      oops, add quilt to B-D
      update deps again
      remove duplicate dep
      looks good, builds clean, dch -r
      New upstream release
      dch -r, looks good
      * New upstream release
      * Now requires Test::Simple 0.88 per upstream
      looks good, dch -r
      New upstream release
      sbuild + Lintian seem happy, but this is my first build for awhile, hope 
it's OK
      * Refer to Debian as "Debian systems" in copyright
      fixed problems, still sbuild + lintian clean, dch -r
      * New upstream release
      sbuild + lintian clean, dch -r
      looks good, dch -r
      TODO: look into copyright...
      integrate new upstream version
      builds clean, dch -r

Jotam Jr. Trejo (9):
      Merge tag 'upstream/5.90015'
      Imported Upstream version 5.90015
      Re-added the versioned Pre-Depens on dpkg (>= 1.15.6~) required for the 
xz compression
      Upgraded Debhelper compat level to 9
      Added myself to Uploaders and Copyright
      Fixed FTBFS libtest-www-mechanize-catalyst-perl (Close: #680826)
      reverting debhelper compat level back to 8
      aesthetic changes
      dch -r; ready for review

Krzysztof Krzyzaniak (36):
      [svn-inject] Applying Debian modifications to trunk
      new upstream version
      * Update to debhelper 7, use simple example as debian/rules
      added ${misc:Depends} to dependencies
      added svn headers
      upload package
      new upstream version
      updated dependencies
      new upstream version
      use --skipdeps param to avoid external connections to CPAN in 
Module::Install
      missing dependencies already in main
      narrow dependency
      one enter too much
      manual removed from package
      s/UNRELEASED/unstable/
      new upstream version
      s/UNRELEASED/unstable/
      new upstream version
      s/UNRELEASED/unstable/
      new upstream version
      s/UNRELEASED/unstable/
      new upstream version
      mention what is missing
      updated dependencies
      s/UNRELEASED/unstable/
      new upstream version
      s/UNRELEASED/unstable/
      Added libmoosex-role-withoverloading-perl to dependencies
      WAITS FOR libmoosex-types-common-perl
      new upstream version
      debian/control: libmoosex-types-common-perl added to dependencies
      libmoosex-getopt-perl added to dependencies
      uploading package
      * Add perl-modules (>= 5.10.0) as alternative to libmodule-pluggable-perl 
in
      new upstream version
      s/UNRELEASED/unstable/;

Nathan Handler (4):
      [mass-commit] debian/watch: Update to ignore development releases.
      Undo failed [mass-commit]
      [mass-commit] debian/watch: Modify to ignore development releases.
      Email change: nhandler -> nhand...@debian.org

Ryan Niebur (3):
      Remove Florian Ragwitz from Uploaders (Closes: #523241, #523242)
      (Closes: #531228, #531229, #531240)
      mass updated jawnsy's email address

Salvatore Bonaccorso (7):
      [packagecheck] fixed Vcs-(Git|Browser)/Homepage field(s) in 
debian/control and/or URL in debian/watch and/or rmdir /usr/{lib|share}/perl5 
in debian/rules.
      Change Vcs-Git to canonical URI (git://anonscm.debian.org)
      update changelog
      Change search.cpan.org based URIs to metacpan.org based URIs
      update changelog
      Update Vcs-Browser URL to cgit web frontend
      update changelog

gregor herrmann (68):
      Merge commit 'upstream/5.90002'
      New upstream release.
      Update build and runtime dependencies.
      Add a NEWS entry about PSGI/Plack.
      add note about new packages
      remove WAITS-FOR
      Merge commit 'upstream/5.90003'
      New upstream release.
      Update copyright holders.
      fix typo in plack version
      Bump debhelper compatibility level to 8.
      update version in debian/NEWS
      releasing version 5.90003-1
      Merge commit 'upstream/5.90007'
      New upstream release.
      Add a Pre-Depends on dpkg (>= 1.15.6~) for the xz compression.
      releasing version 5.90007-1
      turn off optional tests again
      Merge tag 'upstream/5.90013'
      New upstream release.
      Add Conflicts/Replaces/Provides on libcatalyst-controller-actionrole-perl
      update changelog
      debian/control: update {versioned,alternative} (build) dependencies.
      update changelog
      add bug closer
      add yet another bug closer
      Move libcatalyst-devel-perl and libfcgi-perl from Recommends to Suggests.
      update changelog
      update WAITS-FOR list
      remove one of 2 WAITS-FORs
      remove WAITS-FOR
      add bug closer
      releasing package libcatalyst-perl version 5.90030-1
      Drop xz compression for {binary,source} package, set by default by dpkg 
since 1.17.{0,6}.
      update changelog
      drop Pre-Depends on dpkg which was needed for xz compression
      Strip trailing slash from metacpan URLs.
      update changelog
      Merge tag 'upstream/5.90064'
      New upstream release.
      Update years of packaging copyright.
      rewrite libmodule-pluggable-perl (build) dep
      wrap&sort d/control
      releasing package libcatalyst-perl version 5.90064-1
      Merge tag 'upstream/5.90065'
      New upstream release.
      Add new upstream copyright holder to debian/copyright.
      releasing package libcatalyst-perl version 5.90065-1
      Add debian/upstream/metadata
      Update debian/changelog
      Merge tag 'upstream/5.90075'
      Update debian/changelog
      (Build-) depend on perl 5.15.8 to get Carp 1.25.
      Declare compliance with Debian Policy 3.9.6.
      releasing package libcatalyst-perl version 5.90075-1
      Merge tag 'upstream/5.90097'
      Update debian/changelog
      Update years of upstream and packaging copyright.
      Update debian/patches/man-whatis.patch.
      Update versioned (build) dependencies.
      Add a note about encoding changes to debian/NEWS.
      Bump debhelper compatibility level to 9.
      Add a patch to fix some spelling mistakes in the POD.
      Reformat debian/control with cme
      Mark package as autopkgtest-able.
      Add explicit (build) dependency on libcgi-pm-perl.
      Add additional optional packages
      releasing package libcatalyst-perl version 5.90097-1

intrigeri (14):
      Imported Upstream version 5.90013
      Merge tag 'upstream/5.90013'
      Releasing libcatalyst-perl (5.90013-1) to Debian unstable.
      Merge remote-tracking branch 'origin/master'
      Releasing libcatalyst-perl (5.90013-2) to Debian unstable.
      Merge tag 'upstream/5.90014'
      Releasing libcatalyst-perl (5.90014-1) to Debian unstable
      Remove useless changelog line.
      Fix changelog entry: don't attempt to close a bug in another package.
      Document all fixed bugs in changelog.
      Drop erroneous and harmful Conflicts/Provides/Replaces on 
libcatalyst-controller-actionrole-perl.
      Revert "debian/control: update {versioned,alternative} (build) 
dependencies."
      Update debian/changelog.
      Add Breaks on libcatalystx-simplelogin-perl (<< 0.17) and 
libcatalyst-actionrole-acl-perl (<< 0.07).

-----------------------------------------------------------------------

This annotated tag includes the following new commits:

       new  29b81ff   Merge tag 'upstream/5.90097'
       new  a8c6728   Update debian/changelog
       new  9a047a1   Update years of upstream and packaging copyright.
       new  02353fa   Update debian/patches/man-whatis.patch.
       new  f091ebe   Update versioned (build) dependencies.
       new  d60497a   Add a note about encoding changes to debian/NEWS.
       new  8a9c6d8   Bump debhelper compatibility level to 9.
       new  db7714b   Add a patch to fix some spelling mistakes in the POD.
       new  b90caf1   Reformat debian/control with cme
       new  361eaba   Mark package as autopkgtest-able.
       new  298bb9d   Add explicit (build) dependency on libcgi-pm-perl.
       new  3bf8895   Add additional optional packages
       new  53eafde   releasing package libcatalyst-perl version 5.90097-1

The 13 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.


-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libcatalyst-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to